Package org.kapott.hbci.sepa.jaxb.pain_002_001_10

## Enum TaxRecordPeriod1Code

- java.lang.Object
- - java.lang.Enum<TaxRecordPeriod1Code>
  - - org.kapott.hbci.sepa.jaxb.pain_002_001_10.TaxRecordPeriod1Code

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<TaxRecordPeriod1Code>`

    public enum TaxRecordPeriod1Code
    extends java.lang.Enum<TaxRecordPeriod1Code>

Java class for TaxRecordPeriod1Code.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="TaxRecordPeriod1Code">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="MM01"/>
         <enumeration value="MM02"/>
         <enumeration value="MM03"/>
         <enumeration value="MM04"/>
         <enumeration value="MM05"/>
         <enumeration value="MM06"/>
         <enumeration value="MM07"/>
         <enumeration value="MM08"/>
         <enumeration value="MM09"/>
         <enumeration value="MM10"/>
         <enumeration value="MM11"/>
         <enumeration value="MM12"/>
         <enumeration value="QTR1"/>
         <enumeration value="QTR2"/>
         <enumeration value="QTR3"/>
         <enumeration value="QTR4"/>
         <enumeration value="HLF1"/>
         <enumeration value="HLF2"/>
       </restriction>
     </simpleType>

### Enum Constant Summary

Enum Constants
`HLF_1`
`HLF_2`
`MM_01`
`MM_02`
`MM_03`
`MM_04`
`MM_05`
`MM_06`
`MM_07`
`MM_08`
`MM_09`
`MM_10`
`MM_11`
`MM_12`
`QTR_1`
`QTR_2`
`QTR_3`
`QTR_4`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TaxRecordPeriod1Code` `fromValue​(java.lang.String v)`
`java.lang.String` `value()`
`static TaxRecordPeriod1Code` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TaxRecordPeriod1Code[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MM_01

    public static final TaxRecordPeriod1Code MM_01

#### MM_02

    public static final TaxRecordPeriod1Code MM_02

#### MM_03

    public static final TaxRecordPeriod1Code MM_03

#### MM_04

    public static final TaxRecordPeriod1Code MM_04

#### MM_05

    public static final TaxRecordPeriod1Code MM_05

#### MM_06

    public static final TaxRecordPeriod1Code MM_06

#### MM_07

    public static final TaxRecordPeriod1Code MM_07

#### MM_08

    public static final TaxRecordPeriod1Code MM_08

#### MM_09

    public static final TaxRecordPeriod1Code MM_09

#### MM_10

    public static final TaxRecordPeriod1Code MM_10

#### MM_11

    public static final TaxRecordPeriod1Code MM_11

#### MM_12

    public static final TaxRecordPeriod1Code MM_12

#### QTR_1

    public static final TaxRecordPeriod1Code QTR_1

#### QTR_2

    public static final TaxRecordPeriod1Code QTR_2

#### QTR_3

    public static final TaxRecordPeriod1Code QTR_3

#### QTR_4

    public static final TaxRecordPeriod1Code QTR_4

#### HLF_1

    public static final TaxRecordPeriod1Code HLF_1

#### HLF_2

    public static final TaxRecordPeriod1Code HLF_2

### Method Detail

#### values

    public static TaxRecordPeriod1Code[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TaxRecordPeriod1Code c : TaxRecordPeriod1Code.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TaxRecordPeriod1Code valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public java.lang.String value()

#### fromValue

    public static TaxRecordPeriod1Code fromValue​(java.lang.String v)